## org.apache.lucene.index
Class MultiDocsAndPositionsEnum.EnumWithSlice

    java.lang.Object
      org.apache.lucene.index.MultiDocsAndPositionsEnum.EnumWithSlice

Enclosing class:
  MultiDocsAndPositionsEnum

    public static final class MultiDocsAndPositionsEnum.EnumWithSlice

extends Object

Holds a `DocsAndPositionsEnum` along with the corresponding `ReaderSlice`.

Field Summary
`DocsAndPositionsEnum` `docsAndPositionsEnum` `DocsAndPositionsEnum` for this sub-reader.
`ReaderSlice` `slice` `ReaderSlice` describing how this sub-reader fits into the composite reader.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### docsAndPositionsEnum

    public DocsAndPositionsEnum docsAndPositionsEnum

  `DocsAndPositionsEnum` for this sub-reader.

### slice

    public ReaderSlice slice

  `ReaderSlice` describing how this sub-reader fits into the composite reader.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.